Subject: dlopen and dynamic code loader (not DLL !!!)
From: [email-masked] (Christian Jullien)

7 Nov 1998 08:48:22 -0800
Message-ID: <000001be08f3$61da6390$020039c1.cygnus.gnu-win32@young>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

Using cygwin form B14 (sic !!) I finally decided to port one of my Lisp
system with B20 (Le-Lisp in fact, OpenLisp - my own ISLISP - still works
well) .
The dlopen and dlsym (or 'old' nlist) was required to make the code loader
works.

TWO BIG questions:

1) --	On Linux, Solaris or Unixware:

		void* main_addr = dlsym( NULL, "main" );

	returns the current address of symbol main (like nm) form RUNNING! process.
	There is no needs to make dlopen before.
	??
	?? How to have the same result with B20.
	??
	- If you give me the source code, I'm ready to make the patch. -

2) --	I need to dynamically add code (not with DLL) but rather a byte code
loader
	(like a poke in memory).

	Again in Linux, Solaris or Unixware and even NT/95 there is an alias of
code
	and data segment. i.e. %CS == %DS.
	??
	?? Is there an option to tell the linker that this behavior is needed.
	??

Christian Jullien
[email-masked]
OOP Consultant

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".